%global pypi_name subprocess-tee
%global module_name subprocess_tee
%global commitId c9120b8bc7b27addb8bf4608307539d08b8e8929

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       0.4.1
Release:       1%{?dist}
Summary:       subprocess-tee

License:       MIT
URL:           https://github.com/pycontribs/subprocess-tee
Source0:       python-subprocess-tee-c9120b8bc7b27addb8bf4608307539d08b8e8929.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-pip
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools >= 42
BuildRequires: python%{python3_pkgversion}-setuptools_scm+toml >= 3.5.0
BuildRequires: python%{python3_pkgversion}-wheel >= 0.33.6

%description
This package provides a drop-in alternative to subprocess.run that captures the
output while still printing it in real-time, just the way tee does.

%package -n python%{python3_pkgversion}-%{pypi_name}

Summary:       subprocess-tee

%description -n python%{python3_pkgversion}-%{pypi_name}
This package provides a drop-in alternative to subprocess.run that captures the
output while still printing it in real-time, just the way tee does.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}
cat <<EOF > setup.cfg
[metadata]
name = %{pypi_name}
author = Sorin Sbarnea
author_email = sorin.sbarnea@gmail.com
maintainer = Sorin Sbarnea
maintainer_email = sorin.sbarnea@gmail.com
url = %{url}
project_urls =
  Bug Tracker = %{url}/issues
  Release Management = %{url}/releases
  CI: GitHub = %{url}/actions
  Code of Conduct = https://docs.ansible.com/ansible/latest/community/code_of_conduct.html
  Documentation = https://subprocess-tee.readthedocs.io
  Discussions = %{url}/discussions
  Source Code = %{url}
license = %{license}
license_files = LICENSE
description = subprocess-tee
long_description = file: README.md
long_description_content_type = text/markdown
classifiers =
  Development Status :: 5 - Production/Stable
  Environment :: Console
  Intended Audience :: Developers
  Intended Audience :: Information Technology
  Intended Audience :: System Administrators
  License :: OSI Approved :: MIT License
  Operating System :: MacOS
  Operating System :: POSIX :: Linux
  Operating System :: POSIX
  Programming Language :: Python :: 3
  Programming Language :: Python :: 3.8
  Programming Language :: Python :: 3.9
  Programming Language :: Python :: 3.10
  Programming Language :: Python :: 3.11
  Programming Language :: Python :: 3.12
  Programming Language :: Python
  Topic :: System :: Systems Administration
  Topic :: Utilities
keywords =
  subprocess
  asyncio

[options]
use_scm_version = True
python_requires = >=3.8
package_dir =
  = src
packages = find:
zip_safe = False

[options.packages.find]
where = src

[options.package_data]
subprocess_tee =
    *.typed
    *.pyi
EOF

%build
# Here we set upstream version based on setuptools_scm documentation
# this is done to avoid the following error:
# LookupError: setuptools-scm was unable to detect version
# since we are not importing a .git repository in the tarball
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheel --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
# Here we set upstream version based on setuptools_scm documentation
# this is done to avoid the following error:
# LookupError: setuptools-scm was unable to detect version
# since we are not importing a .git repository in the tarball
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheel %{pypi_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}.dist-info
%license LICENSE
%doc README.md

%changelog
* Mon Apr 17 2023 Dimitri Savineau <dsavinea@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Mon Feb 28 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.3.5-1
- Initial package
